Skip to content

User​

A company's employees, contractors and other users. Each has a Role, which decides what they may do in Artesa; one with an email and password can log in.


OpenAPI Spec​

GET
/v2/users/spec

Get OpenAPI 3.1.0 spec for User API

Responses​

Returns OpenAPI 3.1.0 spec for User API

application/json
JSON
{
}

Playground​

Samples​


List Users​

GET
/v2/users

List Users

Authorizations​

apiKey
Type
HTTP (bearer)

Parameters​

Query Parameters

page
Type
number
Minimum
0
Default
0
size
Type
number
Minimum
1
Maximum
20
Default
10
uuid
roleUuid
fullName
email
shortName
roleType
staffNumber
deactivatedAt
externalId
createdAt
updatedAt

Responses​

List response

application/json
JSON
{
  
"page": 0,
  
"pages": 0,
  
"size": 10,
  
"items": [
  
  
{
  
  
  
"uuid": "string",
  
  
  
"fullName": "string",
  
  
  
"email": "string",
  
  
  
"shortName": "string",
  
  
  
"staffNumber": "string",
  
  
  
"color": "string",
  
  
  
"roleType": "string",
  
  
  
"deactivatedAt": "string",
  
  
  
"createdAt": "string",
  
  
  
"updatedAt": "string",
  
  
  
"externalId": "string",
  
  
  
"roleUuid": "string"
  
  
}
  
]
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​


Create a new User​

POST
/v2/users

Create a new User

Authorizations​

apiKey
Type
HTTP (bearer)

Request Body​

application/json
JSON
{
  
"uuid": "string",
  
"fullName": "string",
  
"email": "string",
  
"password": "string",
  
"shortName": "string",
  
"staffNumber": "string",
  
"color": "#FFFFFF",
  
"deactivatedAt": "string",
  
"externalId": null,
  
"roleUuid": "string"
}

Responses​

User found

application/json
JSON
{
  
"uuid": "string",
  
"fullName": "string",
  
"email": "string",
  
"shortName": "string",
  
"staffNumber": "string",
  
"color": "string",
  
"roleType": "string",
  
"deactivatedAt": "string",
  
"createdAt": "string",
  
"updatedAt": "string",
  
"externalId": "string",
  
"roleUuid": "string"
}

Playground​

Server
Authorization
Body

Samples​


Get a User​

GET
/v2/users/{userUuid}

Get a User by ID

Authorizations​

apiKey
Type
HTTP (bearer)

Parameters​

Path Parameters

userUuid*
Type
string
Required
Format
"uuid"

Responses​

User found

application/json
JSON
{
  
"uuid": "string",
  
"fullName": "string",
  
"email": "string",
  
"shortName": "string",
  
"staffNumber": "string",
  
"color": "string",
  
"roleType": "string",
  
"deactivatedAt": "string",
  
"createdAt": "string",
  
"updatedAt": "string",
  
"externalId": "string",
  
"roleUuid": "string"
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​


Update a User​

PATCH
/v2/users/{userUuid}

Update a User by ID

Authorizations​

apiKey
Type
HTTP (bearer)

Parameters​

Path Parameters

userUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"fullName": "string",
  
"email": "string",
  
"password": "string",
  
"shortName": "string",
  
"staffNumber": "string",
  
"color": "string",
  
"deactivatedAt": "string",
  
"externalId": "string"
}

Responses​

User found

application/json
JSON
{
  
"uuid": "string",
  
"fullName": "string",
  
"email": "string",
  
"shortName": "string",
  
"staffNumber": "string",
  
"color": "string",
  
"roleType": "string",
  
"deactivatedAt": "string",
  
"createdAt": "string",
  
"updatedAt": "string",
  
"externalId": "string",
  
"roleUuid": "string"
}

Playground​

Server
Authorization
Variables
Key
Value
Body

Samples​